OSGCONV(1)

NAME
osgconv - Convert between file formats parsed by OSG.

DESCRIPTION

  usage:

    obj-x86_64-linux-gnu/bin/osgconv [options] infile1 [infile2 ...] outfile

  environment:

OSG_ASSIGN_PBO_TO_IMAGES <ON/OFF>
    Set whether PixelBufferObjects should be assigned to Images to aid download to the GPU.

OSG_BUFFER_OBJECT_POOL_SIZE <int>
    Set the hint for the size of the vertex buffer object pool to manage.

OSG_BUILD_KDTREES on/off
    Enable/disable the automatic building of KdTrees for each loaded Geometry.

OSG_COMPILE_CONTEXTS <mode>
    OFF | ON Disable/enable the use of background compiled contexts and threads.

OSG_COMPUTE_NEAR_FAR_MODE <mode>
    DO_NOT_COMPUTE_NEAR_FAR | COMPUTE_NEAR_FAR_USING_BOUNDING_VOLUMES | COMPUTE_NEAR_FAR_USING_PRIMITIVES

OSG_CONFIG_FILE <filename>
    Specify a viewer configuration file to load by default.

OSG_DATABASE_PAGER_DRAWABLE <mode>
    Set the drawable policy for setting of loaded drawable to specified type. mode can be one of DoNotModify, DisplayList, VBO or VertexArrays>.

OSG_DATABASE_PAGER_PRIORITY <mode>
    Set the thread priority to DEFAULT, MIN, LOW, NOMINAL, HIGH or MAX.

OSG_DEFAULT_BIN_SORT_MODE <type>
    SORT_BY_STATE | SORT_BY_STATE_THEN_FRONT_TO_BACK | SORT_FRONT_TO_BACK | SORT_BACK_TO_FRONT

OSG_DISPLAY_TYPE <type>
    MONITOR | POWERWALL | REALITY_CENTER | HEAD_MOUNTED_DISPLAY

OSG_DO_PRE_COMPILE <ON/OFF>
    Switch on or off the pre compile of OpenGL object database pager.

OSG_EYE_SEPARATION <float>
    Physical distance between eyes.

OSG_FBO_POOL_SIZE <int>
    Set the hint for the size of the frame buffer object pool to manage.

OSG_FILE_PATH <path>[:path]..
    Paths for locating datafiles

OSG_FORCE_TEXTURE_DOWNLOAD <ON/OFF>
    should the texture compiles be forced to download using a dummy Geometry.

OSG_GL_CONTEXT_FLAGS <uint>
    Set the hint for the GL context flags to use when creating contexts.

OSG_GL_CONTEXT_PROFILE_MASK <uint>
    Set the hint for the GL context profile mask to use when creating contexts.

OSG_GL_CONTEXT_VERSION <major.minor>
    Set the hint for the GL version to create contexts for.

OSG_GL_ERROR_CHECKING <type>
    ONCE_PER_ATTRIBUTE | ON | on enables fine grained checking, ONCE_PER_FRAME enables coarse grained checking

OSG_GL_EXTENSION_DISABLE <value>
    Use space deliminarted list of GL extensions to disable associated GL extensions

OSG_GL_TEXTURE_STORAGE
    ON|OFF or ENABLE|DISABLE, Enables/disables usage of glTexStorage for textures where supported, default is ENABLED.

OSG_IMPLICIT_BUFFER_ATTACHMENT_RENDER_MASK
    OFF | DEFAULT | [~]COLOR | [~]DEPTH | [~]STENCIL. Substitute missing buffer attachments for render FBO.

OSG_IMPLICIT_BUFFER_ATTACHMENT_RESOLVE_MASK
    OFF | DEFAULT | [~]COLOR | [~]DEPTH | [~]STENCIL. Substitute missing buffer attachments for resolve FBO.

OSG_KEYSTONE ON | OFF
    Specify the hint to whether the viewer should set up keystone correction.

OSG_KEYSTONE_FILES <filename>[:filename]..
    Specify filenames of keystone parameter files. Under Windows use ; to deliminate files, otherwise use :

OSG_LIBRARY_PATH <path>[:path]..
    Paths for locating libraries/ plugins

OSG_MAXIMUM_OBJECTS_TO_COMPILE_PER_FRAME <int>
    maximum number of OpenGL objects to compile per frame in database pager.

OSG_MAX_NUMBER_OF_GRAPHICS_CONTEXTS <int>
    Maximum number of graphics contexts to be used with applications.

OSG_MAX_PAGEDLOD <num>
    Set the target maximum number of PagedLOD to maintain.

OSG_MAX_TEXTURE_SIZE
    Set the maximum size of textures.

OSG_MAX_TEXTURE_SIZE <value>
    Clamp the maximum GL texture size to specified value.

OSG_MENUBAR_BEHAVIOR <behavior>
    OSX Only : Specify the behavior of the menubar (AUTO_HIDE, FORCE_HIDE, FORCE_SHOW)

OSG_MINIMUM_COMPILE_TIME_PER_FRAME <float>
    minimum compile time alloted to compiling OpenGL objects per frame in database pager.

OSG_MULTI_SAMPLES <int>
    Set the hint for the number of samples to use when multi-sampling.

OSG_NEAR_FAR_RATIO <float>
    Set the ratio between near and far planes - must greater than 0.0 but less than 1.0.

OSG_NOTIFY_LEVEL <mode>
    FATAL | WARN | NOTICE | DEBUG_INFO | DEBUG_FP | DEBUG | INFO | ALWAYS

OSG_NUM_DATABASE_THREADS <int>
    Set the hint for the total number of threads to set up in the DatabasePager.

OSG_NUM_HTTP_DATABASE_THREADS <int>
    Set the hint for the total number of threads dedicated to http requests to set up in the DatabasePager.

OSG_NvOptimusEnablement <value>
    Set the hint to NvOptimus of whether to enable it or not, set 1 to enable, 0 to disable

OSG_OPTIMIZER "<type> [<type>]"
    OFF | DEFAULT | FLATTEN_STATIC_TRANSFORMS | FLATTEN_STATIC_TRANSFORMS_DUPLICATING_SHARED_SUBGRAPHS | REMOVE_REDUNDANT_NODES | COMBINE_ADJACENT_LODS | SHARE_DUPLICATE_STATE | MERGE_GEOMETRY | MERGE_GEODES | SPATIALIZE_GROUPS | COPY_SHARED_NODES | OPTIMIZE_TEXTURE_SETTINGS | REMOVE_LOADED_PROXY_NODES | TESSELLATE_GEOMETRY | CHECK_GEOMETRY | FLATTEN_BILLBOARDS | TEXTURE_ATLAS_BUILDER | STATIC_OBJECT_DETECTION | INDEX_MESH | VERTEX_POSTTRANSFORM | VERTEX_PRETRANSFORM | BUFFER_OBJECT_SETTINGS

OSG_RUN_FRAME_COUNT
    Set the maximum number of frames to run the viewer run method.

OSG_RUN_FRAME_SCHEME
    Frame rate manage scheme that viewer run should use, ON_DEMAND or CONTINUOUS (default).

OSG_RUN_MAX_FRAME_RATE
    Set the maximum number of frame as second that viewer run. 0.0 is default and disables an frame rate capping.

OSG_SCREEN <value>
    Set the default screen that windows should open up on.

OSG_SCREEN_DISTANCE <float>
    Physical distance between eyes and screen.

OSG_SCREEN_HEIGHT <float>
    Physical screen height.

OSG_SCREEN_WIDTH <float>
    Physical screen width.

OSG_SERIALIZE_DRAW_DISPATCH <mode>
    OFF | ON Disable/enable the use of a mutex to serialize the draw dispatch when there are multiple graphics threads.

OSG_SPLIT_STEREO_AUTO_ADJUST_ASPECT_RATIO <mode>
    OFF | ON Default to OFF to compenstate for the compression of the aspect ratio when viewing in split screen stereo. Note, if you are setting fovx and fovy explicityly OFF should be used.

OSG_SPLIT_STEREO_HORIZONTAL_EYE_MAPPING <mode>
    LEFT_EYE_LEFT_VIEWPORT | LEFT_EYE_RIGHT_VIEWPORT

OSG_SPLIT_STEREO_HORIZONTAL_SEPARATION <float>
    Number of pixels between viewports.

OSG_SPLIT_STEREO_VERTICAL_EYE_MAPPING <mode>
    LEFT_EYE_TOP_VIEWPORT | LEFT_EYE_BOTTOM_VIEWPORT

OSG_SPLIT_STEREO_VERTICAL_SEPARATION <float>
    Number of pixels between viewports.

    OSG_STEREO <mode> OFF | ON OSG_STEREO_MODE <mode>

QUAD_BUFFER | ANAGLYPHIC | HORIZONTAL_SPLIT | VERTICAL_SPLIT
    | LEFT_EYE | RIGHT_EYE | VERTICAL_INTERLACE | HORIZONTAL_INTERLACE

OSG_SWAP_METHOD <method>
    DEFAULT | EXCHANGE | COPY | UNDEFINED. Select preferred swap method.

OSG_TEXTURE_POOL_SIZE <int>
    Set the hint for the size of the texture pool to manage.

OSG_TEXT_SHADER_TECHNIQUE <value>
    Set the defafult osgText::ShaderTechnique. ALL_FEATURES | ALL | GREYSCALE | SIGNED_DISTANCE_FIELD | SDF | NO_TEXT_SHADER | NONE

OSG_THREADING <value>
    Set the threading model using by Viewer, <value> can be SingleThreaded, CullDrawThreadPerContext, DrawThreadPerContext or CullThreadPerCameraDrawThreadPerContext.

OSG_USE_SCENEVIEW_FOR_STEREO <mode>
    OFF | ON Disable/enable the hint to use osgUtil::SceneView to implement stereo when required..

OSG_VERTEX_BUFFER_HINT <value>
    Set the hint to what backend osg::Geometry implementation to use. NO_PREFERENCE | VERTEX_BUFFER_OBJECT | VERTEX_ARRAY_OBJECT

OSG_WINDOW x y width height
    Set the default window dimensions that windows should open up on.

OSG_WRITE_OUT_DEFAULT_VALUES
    ON | OFF

  options:

-O option - ReaderWriter option

--compressed       - Enable the usage of compressed textures,
    defaults to OpenGL ARB compressed textures.

--compressed-arb - Enable the usage of OpenGL ARB compressed textures

--compressed-dxt1 - Enable the usage of S3TC DXT1 compressed textures

--compressed-dxt3 - Enable the usage of S3TC DXT3 compressed textures

--compressed-dxt5 - Enable the usage of S3TC DXT5 compressed textures

--fix-transparency - fix statesets which are currently
    declared as transparent, but should be opaque. Defaults to using the fixTranspancyMode MAKE_OPAQUE_TEXTURE_STATESET_OPAQUE.

--fix-transparency-mode <mode_string>  - fix statesets which are currently
    declared as transparent but should be opaque. The mode_string determines which algorithm is used to fix the transparency, options are:

MAKE_OPAQUE_TEXTURE_STATESET_OPAQUE,
    MAKE_ALL_STATESET_OPAQUE.

-l libraryName     - load plugin of name libraryName
    i.e. -l osgdb_pfb Useful for loading reader/writers which can load other file formats in addition to its extension.

-e extensionName   - load reader/wrter plugin for file extension
    i.e. -e pfb Useful short hand for specifying full library name as done with -l above, as it automatically expands to the full library name appropriate for each platform.

-o orientation     - Convert geometry from input files to output files.
    Format of orientation argument must be the following:

X1,Y1,Z1-X2,Y2,Z2
    or

    degrees-A0,A1,A2

where X1,Y1,Z1 represent the UP vector in the input
    files and X2,Y2,Z2 represent the UP vector of the output file, or degrees is the rotation angle in degrees around axis (A0,A1,A2). For example, to convert a model built in a Y-Up coordinate system to a model with a Z-up coordinate system, the argument may look like

0,1,0-0,0,1
    or

    -90-1,0,0

-t translation     - Convert spatial position of output files.
    Format of translation argument must be the following :

    X,Y,Z

where X, Y, and Z represent the coordinates of the
    absolute position in world space

--use-world-frame  - Perform transformations in the world frame, rather
    than relative to the center of the bounding sphere.

--simplify n       - Run simplifier prior to output. Argument must be a
    normalized value for the resultant percentage reduction. Example: --simplify .5

    will produce a 50% reduced model.

-s scale           - Scale size of model.
    Scale argument must be the following :

    SX,SY,SZ

where SX, SY, and SZ represent the scale factors
    Caution: Scaling is done in destination orientation

--smooth           - Smooth the surface by regenerating surface normals on
    all geometry nodes

--addMissingColors - Add a white color value to all geometry nodes
    that don't have their own color values (--addMissingColours also accepted).

--overallNormal - Replace normals with a single overall normal.

--enable-object-cache - Enable caching of objects, images, etc.

--formats - List all supported formats and their supported options.

--format <format>  - Display information about the specified <format>,
    where <format> is the file extension, such as "flt".

--plugins - List all supported plugin files.

--plugin <plugin>  - Display information about the specified <plugin>,
    where <plugin> is the plugin's full path and file name.